org.apache.lucene.mockfile

## Class DisableFsyncFS

- java.lang.Object
- - java.nio.file.spi.FileSystemProvider
  - - org.apache.lucene.mockfile.FilterFileSystemProvider
    - - org.apache.lucene.mockfile.DisableFsyncFS

    public class DisableFsyncFS
    extends FilterFileSystemProvider

Disables actual calls to fsync.

All other filesystem operations are passed thru as normal.

### Field Summary

### Fields inherited from class org.apache.lucene.mockfile.FilterFileSystemProvider

`delegate, fileSystem, scheme`

### Constructor Summary

Constructors
Constructor and Description
`DisableFsyncFS(FileSystem delegate)` Create a new instance, wrapping `delegate`.

### Method Summary

All Methods Instance Methods Concrete Methods
`AsynchronousFileChannel` `newAsynchronousFileChannel(Path path, Set<? extends OpenOption> options, ExecutorService executor, FileAttribute<?>... attrs)`
`FileChannel` `newFileChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`

### Methods inherited from class org.apache.lucene.mockfile.FilterFileSystemProvider

`checkAccess, copy, createDirectory, createLink, createSymbolicLink, delete, deleteIfExists, getFileAttributeView, getFileStore, getFileSystem, getPath, getScheme, isHidden, isSameFile, move, newByteChannel, newDirectoryStream, newFileSystem, newFileSystem, newInputStream, newOutputStream, onClose, readAttributes, readAttributes, readSymbolicLink, setAttribute, toDelegate, toString`

### Methods inherited from class java.nio.file.spi.FileSystemProvider

`installedProviders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisableFsyncFS

    public DisableFsyncFS(FileSystem delegate)

Create a new instance, wrapping `delegate`.

### Method Detail

#### newFileChannel

    public FileChannel newFileChannel(Path path,
                                      Set<? extends OpenOption> options,
                                      FileAttribute<?>... attrs)
                               throws IOException

Overrides:
  `newFileChannel` in class `FilterFileSystemProvider`
Throws:
  `IOException`

#### newAsynchronousFileChannel

    public AsynchronousFileChannel newAsynchronousFileChannel(Path path,
                                                              Set<? extends OpenOption> options,
                                                              ExecutorService executor,
                                                              FileAttribute<?>... attrs)
                                                       throws IOException

Overrides:
  `newAsynchronousFileChannel` in class `FilterFileSystemProvider`
Throws:
  `IOException`